import { useEffect } from "react";
import { registerCodeHighlighting } from "@lexical/code";
import { useLexicalComposerContext } from "@lexical/react/LexicalComposerContext";
function CodeHighlightPlugin() {
    const [editor] = useLexicalComposerContext();
    useEffect(()=>registerCodeHighlighting(editor), [
        editor
    ]);
    return null;
}
export { CodeHighlightPlugin };
